* =================================================== *
* Social Sustainability Global Database v2.0
* Master Script - User Setup
* TTL: Paola Marcela Ballon Fernandez
* Consultant: Omar Alburqueque Chavez
* Contact: oalburquequechav@worldbank.org
* Developed and tested with Stata 16 MP
* =================================================== *

* ------------- *
* General setup *
* ------------- *

clear all
set more off
capture log close _all
version 16

* ------------------------------------------------ *
* Instructions for running the replication package *
* ------------------------------------------------ *

* 1. Edit line 26 to set your local root folder path for the SSGD v2.0 package.
* 2. Then run this master file (Ctrl+D or do master.do) to initialize paths.

global ssgd_v2_userpath "C:\WBG\github\355\OneDrive_2025-06-10\Replicability Package"
// sysdir set PLUS "${ssgd_v2_userpath}\ado"
set varabbrev on

* ------------------ *
* Path configurations *
* ------------------ *

adopath ++ "${ssgd_v2_userpath}/ado/"
global scripts_data_gen "${ssgd_v2_userpath}/scripts/data_generation/"
global scripts_data_proc "${ssgd_v2_userpath}/scripts/data_processing/"
global raw_data         "${ssgd_v2_userpath}/raw_data/"
global proc_data        "${ssgd_v2_userpath}/proc_data/"
global final_data       "${ssgd_v2_userpath}/final_data/"
global support_data     "${ssgd_v2_userpath}/support_data/"

* -------------------------- *
* Next step instructions     *
* -------------------------- *


do "${ssgd_v2_userpath}/master files/2_ssgd_data_gen.do"
do "${ssgd_v2_userpath}/master files/3_ssgd_data_proc.do"
do "${ssgd_v2_userpath}/master files/4_ssgd_merge.do"

